commit:     cafe7d763ec117dc2b118c2f3fa9d6899412db0e
Author:     Andreas Zuber <a.zuber <AT> gmx <DOT> ch>
AuthorDate: Tue Jun 14 11:20:24 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 16 16:36:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cafe7d76

games-util/pyfa: version bump to 2.42.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Zuber <a.zuber <AT> gmx.ch>
Bug: https://bugs.gentoo.org/848600
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-util/pyfa/Manifest           |  1 +
 games-util/pyfa/pyfa-2.43.0.ebuild | 95 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/games-util/pyfa/Manifest b/games-util/pyfa/Manifest
index 7b95f27ea3f2..9689632b9b5f 100644
--- a/games-util/pyfa/Manifest
+++ b/games-util/pyfa/Manifest
@@ -1,2 +1,3 @@
 DIST pyfa-2.33.0.tar.gz 28872031 BLAKE2B 
fe7fad57e43a8efc78f828d0ff81788147fa64ef02a20a71d6fef8ab0130d39b5ebffc18d58a774a61d805b8d0e570cbedb0b8fa536c8c71e61102fb6d093998
 SHA512 
bfa4e41b387e9f23aeae41a4884a0492316cc6e51841243ef56dc733edab10e6c9609ca7918d4de9fcd052b4da8f8048ce7578d164ad98237b53cb05f7c168d8
 DIST pyfa-2.37.0.tar.gz 29991827 BLAKE2B 
d2dd51becc037176ef0e4394799d6d35ea5025b4b9aba7a1e2a12d908b1d8d9a436d2e2b2e9d06b3592ea2276b3dfe24c639d02cd77fe25a6ea673d9f048a238
 SHA512 
e3ccee3ee3b74644f208afdf719bf1e3dc29335041e3cdd19b5742f51e1fbb0fcab2376c26fc789e7992d1f35215c128bf6480860a0eea75eeb69c9b466ba1cf
+DIST pyfa-2.43.0.tar.gz 31776698 BLAKE2B 
819596e670b62dad4a10edbb49f5b93e5b0d53b1976b6c1f3272731f5769897ec6f12ae681f6503966de2d91d31dc0ee5d5c8ce0cd34354279dc71a6ae20996f
 SHA512 
847ed7b9590103b2d49fa1e60d5162c800c58a94be20bd67bb10aa0b9e2957db987464bec9941feed27b61fd49d38e6c4171d932a5450e317427a8ea54b4e890

diff --git a/games-util/pyfa/pyfa-2.43.0.ebuild 
b/games-util/pyfa/pyfa-2.43.0.ebuild
new file mode 100644
index 000000000000..0487cf9afef8
--- /dev/null
+++ b/games-util/pyfa/pyfa-2.43.0.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{8..9} )
+PYTHON_REQ_USE="sqlite"
+
+inherit desktop edos2unix python-single-r1 xdg
+
+DESCRIPTION="Python Fitting Assistant - a ship fitting application for EVE 
Online"
+HOMEPAGE="https://github.com/pyfa-org/Pyfa";
+
+LICENSE="GPL-3+ all-rights-reserved"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/pyfa-org/Pyfa.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/pyfa-org/Pyfa/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/Pyfa-${PV}"
+fi
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="mirror bindist"
+
+DEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
+               >=dev-python/logbook-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+               >=dev-python/sqlalchemy-1.3.23[${PYTHON_USEDEP}]
+               >=dev-python/wxpython-4.0.6[webkit,${PYTHON_USEDEP}]
+       ')
+       ${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+       $(python_gen_cond_dep '
+               >=dev-python/beautifulsoup4-4.6.0[${PYTHON_USEDEP}]
+               >=dev-python/markdown2-2.3.5[${PYTHON_USEDEP}]
+               >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+               >=dev-python/packaging-16.8[${PYTHON_USEDEP}]
+               dev-python/python-dateutil[${PYTHON_USEDEP}]
+               >=dev-python/python-jose-3.0.1[${PYTHON_USEDEP}]
+               >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/requests-cache-0.8.1[${PYTHON_USEDEP}]
+               >=dev-python/roman-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/matplotlib-3.2.2[wxwidgets,${PYTHON_USEDEP}]
+       ')"
+BDEPEND="app-arch/zip"
+
+PATCHES=(
+       # fix import path in the main script for systemwide installation
+       "${FILESDIR}/${PN}-2.9.3-import-pyfa.patch"
+)
+
+src_prepare() {
+       # get rid of CRLF line endings introduced in 1.1.10 so patches work
+       edos2unix config.py pyfa.py gui/bitmap_loader.py service/settings.py
+
+       default
+
+       # make python recognize pyfa as a package
+       touch __init__.py || die
+
+       sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+               -e "s:%%EPREFIX%%:${EPREFIX}:" \
+               "${FILESDIR}/configforced-1.15.1.py" > configforced.py || die
+       sed -e "s:%%SITEDIR%%:$(python_get_sitedir):" \
+               pyfa.py > pyfa || die
+}
+
+src_install() {
+       python_moduleinto ${PN}
+       python_domodule eos gui service utils graphs
+       python_domodule config*.py __init__.py version.yml configforced.py 
db_update.py
+       python_doscript pyfa
+
+       insinto /usr/share/${PN}
+
+       einfo "Creating database ..."
+       ${EPYTHON} ./db_update.py || die
+       doins eve.db
+
+       einfo "Compressing images ..."
+       pushd imgs > /dev/null || die
+       zip -r imgs.zip * || die "zip failed"
+       doins imgs.zip
+       popd > /dev/null || die
+
+       dodoc README.md
+       doicon -s 32 imgs/gui/pyfa.png
+       newicon -s 64 imgs/gui/pyfa64.png pyfa.png
+       domenu "${FILESDIR}/${PN}.desktop"
+}

Reply via email to